## org.apache.poi.ddf
Interface EscherRecordFactory

All Known Implementing Classes:
  DefaultEscherRecordFactory

public interface EscherRecordFactory

The escher record factory interface allows for the creation of escher records from a pointer into a data array.

Author:
  Glen Stampoultzis (glens at apache.org)

Method Summary
`EscherRecord` `createRecord(byte[] data, int offset)` Create a new escher record from the data provided.

Method Detail

### createRecord

    public EscherRecord createRecord(byte[] data,
                                     int offset)

  Create a new escher record from the data provided. Does not attempt to fill the contents of the record however.

Copyright © 2003 Apache Software Foundation.